Map Tracker Items to a Stream
Use the following endpoint to add trackers items to a stream.
URL
POST /v3/working-sets/items-mapping
Input Parameters
Property
Description
items
id
The ID of the tracker item to map to the stream.
name
The name of the tracker item to map to the stream.
type
The type of the tracker item to map to the stream.
referenceData: { suspectPropagation }
The suspect propagation setting of the tracker item.
testStepReuse
If set to true test step reuse is enabled. If set to false test step reuse is disabled.
targetWorkingSet
id
The ID of the stream to which the tracker item is mapped.
name
The name of the target stream to which the tracker item is mapped.
type
The type of the target stream to which the tracker item is mapped.
Request Body Example
{
"items": [
{
"id": 106274,
"name": "tc1d",
"type": "Testcase",
"referenceData": {
"suspectPropagation": "DO_NOT_PROPAGATE"
},
"testStepReuse": true
}
],
"targetWorkingSet": {
"id": 668563,
"name": "ws1",
"type": "WorkingSetReference"
}
}
Was this helpful?